﻿// cc-by 3.0 Austria, (c) 2011 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Hyperlink;
import javafx.scene.control.Label;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class CSS extends Application {
  public static void main(String[] args) {
    Application.launch(args);
  }

  @Override
  public void start(Stage primaryStage) {
    primaryStage.setTitle("CSS");
    VBox root = new VBox(4);
    Scene scene = new Scene(root, 300, 250);
    
    scene.getStylesheets().add(getClass().getResource("Style.css").toString());
    
    root.getChildren().addAll(
        new Button("Hello CSS"),
        new Text("Hello CSS"),
        new Label("Hello CSS"),
        new Hyperlink("Hello CSS"),
        new CheckBox("Hello CSS"));
    
    primaryStage.setScene(scene);
    primaryStage.show();
  }
}
